// Author(s) : Justin Crooks
// Copyright 2012, Test Equipment Plus
//
// Description :
// 
// Date : Author of Revision : Description (if any)
// 15 MAY 2012 : AJ Montgomery : Added Headers
// ConfigDlg.cpp : implementation file
//

#include "stdafx.h"
#include "SHAPISampleApp.h"
#include "ConfigDlg.h"


// CConfigDlg dialog

IMPLEMENT_DYNAMIC(CConfigDlg, CDialog)

CConfigDlg::CConfigDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CConfigDlg::IDD, pParent)
	, m_AttenIdx(2)
	, m_MixerIdx(1)
	, m_SensitivityIdx(1)
	, m_DecimationIdx(0)
{

}

CConfigDlg::~CConfigDlg()
{
}

void CConfigDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_CBIndex(pDX, IDC_COMBO1, m_AttenIdx);
	DDX_CBIndex(pDX, IDC_COMBO3, m_MixerIdx);
	DDX_CBIndex(pDX, IDC_COMBO4, m_SensitivityIdx);
	DDX_CBIndex(pDX, IDC_COMBO5, m_DecimationIdx);
}


BEGIN_MESSAGE_MAP(CConfigDlg, CDialog)
END_MESSAGE_MAP()


// CConfigDlg message handlers
