// Author(s) : Justin Crooks
// Copyright 2012, Test Equipment Plus
//
// Description :
// 
// Date : Author of Revision : Description (if any)
// 15 MAY 2012 : AJ Montgomery : Added Headers


#include "stdafx.h"
#include "SHAPISampleApp.h"
#include "FastSweepDlg.h"


// CFastSweepDlg dialog

IMPLEMENT_DYNAMIC(CFastSweepDlg, CDialog)

//For defaults, use 350 MHz center, 100 MHz span, 64 point FFT (25 KHz RBW)
CFastSweepDlg::CFastSweepDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CFastSweepDlg::IDD, pParent)
	, m_CtrFreq(350)
	, m_SpanFreq(100)
	, m_FFTIdx(2)
{

}

CFastSweepDlg::~CFastSweepDlg()
{
}

void CFastSweepDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Text(pDX, IDC_EDIT3, m_CtrFreq);
	DDX_Text(pDX, IDC_EDIT4, m_SpanFreq);
	DDX_CBIndex(pDX, IDC_COMBO2, m_FFTIdx);
}


BEGIN_MESSAGE_MAP(CFastSweepDlg, CDialog)
END_MESSAGE_MAP()


// CFastSweepDlg message handlers
