// Author(s) : Justin Crooks
// Copyright 2012, Test Equipment Plus
//
// Description :
// 
// Date : Author of Revision : Description (if any)
// 15 MAY 2012 : AJ Montgomery : Added Headers

#include "stdafx.h"
#include "SHAPISampleApp.h"
#include "SlowSweepDlg.h"


// CSlowSweepDlg dialog

IMPLEMENT_DYNAMIC(CSlowSweepDlg, CDialog)

CSlowSweepDlg::CSlowSweepDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CSlowSweepDlg::IDD, pParent)
	, m_CenterFreq(315.0)
	, m_SpanFreq(100)
	, m_FFTIndex(4)
{

}

CSlowSweepDlg::~CSlowSweepDlg()
{
}

void CSlowSweepDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Text(pDX, IDC_EDIT1, m_CenterFreq);
	DDV_MinMaxDouble(pDX, m_CenterFreq, 0.01, 4399.0);
	DDX_Text(pDX, IDC_EDIT2, m_SpanFreq);
	DDV_MinMaxDouble(pDX, m_SpanFreq, 0.1, 1000);
	DDX_CBIndex(pDX, IDC_COMBO1, m_FFTIndex);
}


BEGIN_MESSAGE_MAP(CSlowSweepDlg, CDialog)
END_MESSAGE_MAP()


// CSlowSweepDlg message handlers
