// Author(s) : Justin Crooks
// Copyright 2012, Test Equipment Plus
//
// Description :
// 
// Date : Author of Revision : Description (if any)
// 15 MAY 2012 : AJ Montgomery : Added Headers

#include "stdafx.h"
#include "SHAPISampleApp.h"
#include "ZSFreqDlg.h"


// CZSFreqDlg dialog

IMPLEMENT_DYNAMIC(CZSFreqDlg, CDialog)

CZSFreqDlg::CZSFreqDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CZSFreqDlg::IDD, pParent)
	, m_freq(0)
{

}

CZSFreqDlg::~CZSFreqDlg()
{
}

void CZSFreqDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Text(pDX, IDC_EDIT3, m_freq);
	DDV_MinMaxDouble(pDX, m_freq, 0.0, 4400.0);
}


BEGIN_MESSAGE_MAP(CZSFreqDlg, CDialog)
END_MESSAGE_MAP()


// CZSFreqDlg message handlers
